Support » Plugin: Email Subscribers & Newsletters » upgrade from 3.5.18 to 4.0.0 error

  • Hello,

    Being in version 3.18.5, I proceeded to the installation of version 4.0.2.
    Then I applied the database update through the Dashbord button. A message appeared saying that the update of the database was in progress. But it never ended (after 12h of treatments and I only have 200 @ into the database).
    The Audience list is empty!

    I came back to version 3.18.5 by replace files into the plugin directory. The application has become functional.

    I tried again to apply version 4.0.2 and 4.0.3. But the update button does’nt appear and I still have the update message of the current database.

    can you help me?

    ..sorry for my poor english…

Viewing 5 replies - 1 through 5 (of 5 total)
  • Have you read the tips in this thread?
    https://wordpress.org/support/topic/lost-completemail-list/

    Also some database relevant tips here:
    https://wordpress.org/support/topic/roll-back-to-3-5-18-error/

    However, only do this if you are familiar with database editing. Do a backup of the database before and know how to restore it. Otherwise, with improper editing / deleting you could heavily damage your WordPress installation!

    Plugin Contributor Malay Ladu

    (@malayladu)

    @neodid Please upgrade to the latest version of Email Subscribers and check once again.

    hello,

    Sorry for my later
    I have upgrade to 4.0.12. It’s exactly the same probleme.

    the migration button does not appear
    There is no mail in Subscriber\Audience

    When i roolback to 3.18.5, all mails comme back.

    Why the button of migration does not appear ?

    I tried to disable and uninstall the plugin version 3. Then install version 4.0.12.
    by listing the tables in database, I only have tables wp_es_… mais aucune table wp_ig_…

    For information, all other plugins are updated.

    • This reply was modified 6 months, 2 weeks ago by  neodid.
    neodid

    (@neodid)

    hello,

    My problem is persistant.
    I am in version 3.0.18
    before process to a new update, i have liste all table and i have no gda_ig_* table.
    only gda_es_* tables. (my prefix table is gda_ and nor wp_)

    I have select * from gda_options where option_name=’ig_es_db_version’
    +———–+——————+————–+———-+
    | option_id | option_name | option_value | autoload |
    +———–+——————+————–+———-+
    | 42932 | ig_es_db_version | 3.5.18 | yes |
    +———–+——————+————–+———-+
    1 row in set (0.00 sec)

    So i click to update version in wordpress, and into access_log i found :

    [Thu May 16 22:25:14.843914 2019] [:error] [pid 24222] [client 10.83.198.45:33162] Erreur de la base de donn\xc3\xa9es WordPress Table ‘portailgda.gda_ig_forms’ doesn’t exist pour la requ\xc3\xaate SELECT * FROM gda_ig_forms WHERE ( deleted_at IS NULL OR deleted_at = “0000-00-00 00:00:00” ) LIMIT 25 OFFSET 0 faite par do_action(’email-subscribers_page_es_forms’), WP_Hook->do_action, WP_Hook->apply_filters, call_user_func_array, Email_Subscribers_Admin->load_forms, ES_Forms_Table->es_forms_callback, ES_Forms_Table->prepare_items, ES_Forms_Table->get_lists, referer: https://www.gdapublic.fr/wp-admin/admin.php?page=es_subscribers&action=export

    So tables are not created !!!

    cans you help me please ?

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.